## ocaml-re 1.2.1

=== lib_test/Makefile ===
re_scan: re_scan.ml ../re.cmxa
	ocamlopt -o re_scan -I .. re.cmxa re_scan.ml

pcre_scan: pcre_scan.ml
	ocamlopt -o pcre_scan -I +contrib pcre.cmxa pcre_scan.ml

re_match: re_match.ml ../re.cmxa
	ocamlopt -o re_match -I .. re.cmxa re_match.ml

pcre_match: pcre_match.ml
	ocamlopt -o pcre_match -I +contrib pcre.cmxa pcre_match.ml

unison3: unison3.ml
	ocamlopt -o unison3 unix.cmxa -I +contrib pcre.cmxa unison3.ml

unison: unison.ml ../re.cmxa
	ocamlopt -o unison unix.cmxa -I .. re.cmxa unison.ml

unison2: unison2.ml
	ocamlopt -o unison2 unix.cmxa -I ../../unison/src re.cmx unison2.ml

clean:
	rm -f re_scan pcre_scan re_match pcre_match unison unison2 unison3
	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.a *.o

## ocaml-re 1.1.0+deb

=== debian/changelog ===
ocaml-re (1.1.0+deb-1) unstable; urgency=low

  * New release (Debian Repackaging).
    - Renamed Pcre into Re_pcre to avoid conflicts with the Pcre
      library.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 13 Jan 2013 16:18:41 +0100

ocaml-re (1.1.0-1) unstable; urgency=low

  * Initial upload (Closes: #697505).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 6 Jan 2013 13:13:00 +0200

=== debian/control ===
Source: ocaml-re
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 3.12.0~),
 ocaml-best-compilers,
 ocaml-findlib,
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.4
Homepage: https://github.com/ocaml/ocaml-re
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-re.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-re.git

Package: libre-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Description: regular expression library for OCaml
 RE is regular expression library for OCaml. The following styles of
 regular expressions are supported:
  * Perl-style regular expressions (module Re_perl);
  * Posix extended regular expressions (module Re_posix);
  * Emacs-style regular expressions (module Re_emacs);
  * Shell-style file globbing (module Re_glob).
 .
 It is also possible to build regular expressions by combining simpler
 regular expressions (module Re)
 .
 This package contains the development modules you need to use RE in
 your programs.

## ocaml-re 1.2.1

=== debian/changelog ===
ocaml-re (1.2.1-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:37 +0000

ocaml-re (1.2.1-1) unstable; urgency=low

  [ Lifeng Sun ]
  * New upstream release.
  * libre-ocaml-dev: recommends ocaml-findlib.
  * debian/libre-ocaml-dev.docs: rename Changes to CHANGES.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Nov 2013 16:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Mehdi Dogguy <mehdi@debian.org>
+Uploaders:
+ Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 3.12.0~),
@@ -20,6 +21,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  ${ocaml:Depends}
+Recommends: ocaml-findlib
 Description: regular expression library for OCaml
  RE is regular expression library for OCaml. The following styles of
  regular expressions are supported:

## ocaml-re 1.2.2

=== debian/changelog ===
ocaml-re (1.2.2-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 13:51:31 -0600

ocaml-re (1.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Aug 2014 10:23:33 +0200

ocaml-re (1.2.1-2) unstable; urgency=medium

  * Add a missing Provides field for libre-ocaml-dev filled in
    with ${ocaml:Provides} (Closes: #746555).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 01 May 2014 13:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  dh-ocaml (>= 0.9~)
 Standards-Version: 3.9.4
 Homepage: https://github.com/ocaml/ocaml-re
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-re.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-re.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-re.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-re.git
 
 Package: libre-ocaml-dev
 Architecture: any
@@ -21,6 +21,8 @@
  ${shlibs:Depends},
  ${misc:Depends},
  ${ocaml:Depends}
+Provides:
+ ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: regular expression library for OCaml
  RE is regular expression library for OCaml. The following styles of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

ifeq ($(OCAML_NATDYNLINK),yes)
  NATIVE_DYNLINK = true
else
  NATIVE_DYNLINK = false
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' \
		--libdir '/usr/lib/ocaml/re' \
		--htmldir '/usr/share/doc/libre-ocaml-dev/' \
		--enable-tests \
		--override native_dynlink $(NATIVE_DYNLINK)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
https://github.com/ocaml/ocaml-re/tags/ /.*/ocaml-re-([\d\.]+)\.tar\.gz

## ocaml-re 1.6.1

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: 46f8bd9984975bd4727bed22d0876cd2)

SETUP = ./setup.exe

build: setup.data $(SETUP)
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data $(SETUP) build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data $(SETUP) build
	$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	$(SETUP) -all $(ALLFLAGS)

install: setup.data $(SETUP)
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data $(SETUP)
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data $(SETUP)
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	$(SETUP) -distclean $(DISTCLEANFLAGS)
	$(RM) $(SETUP)

setup.data: $(SETUP)
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure: $(SETUP)
	$(SETUP) -configure $(CONFIGUREFLAGS)

setup.exe: setup.ml
	ocamlfind ocamlopt -o $@ $< || ocamlfind ocamlc -o $@ $< || true
	$(RM) setup.cmi setup.cmo setup.cmx setup.o

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

=== debian/changelog ===
ocaml-re (1.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Aug 2016 13:08:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  ocaml-nox (>= 3.12.0~),
  ocaml-best-compilers,
  ocaml-findlib,
+ libounit-ocaml-dev,
  dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: https://github.com/ocaml/ocaml-re
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-re.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-re.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-re.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-re.git
 
 Package: libre-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
https://github.com/ocaml/ocaml-re/tags/ /.*/(?:ocaml-re-)?([\d\.]+)\.tar\.gz

## ocaml-re 1.7.3

=== Makefile ===
JBUILDER ?= jbuilder

all:
	@$(JBUILDER) build

test:
	@$(JBUILDER) runtest

check: test

clean:
	@$(JBUILDER) clean

.PHONY: check test all clean

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	jbuilder build @runtest --workspace jbuild-workspace.dev

=== debian/changelog ===
ocaml-re (1.7.3-2) unstable; urgency=medium

  * Install library without using opam-installer to avoid a build-deps
    loop (jbuilder -> opam-installer -> opam -> ocaml-re -> jbuilder).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jun 2018 22:24:09 +0200

ocaml-re (1.7.3-1) unstable; urgency=medium

  * New upstream release
  * Upstream now uses jbuilder instead of ocamlbuild. Add it to build
    dependencies.
  * Add opam to build dependencies, as `jbuilder install` requires
    opam-installer.
  * Update copyright file
  * Update Vcs-* fields
  * Update short description to make new API

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jun 2018 10:37:42 +0200

ocaml-re (1.6.1-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:47:07 +0200

=== debian/control ===
Source: ocaml-re
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 3.12.0~),
 ocaml-best-compilers,
 ocaml-findlib,
 libounit-ocaml-dev,
 jbuilder,
 dh-ocaml (>= 0.9~)
Standards-Version: 3.9.8
Homepage: https://github.com/ocaml/ocaml-re
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-re.git

Package: libre-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: regular expression library for OCaml
 RE is regular expression library for OCaml. The following styles of
 regular expressions are supported:
  * Perl-style regular expressions (module Re.Perl);
  * Posix extended regular expressions (module Re.Posix);
  * Emacs-style regular expressions (module Re.Emacs);
  * Shell-style file globbing (module Re.Glob);
  * Compatibility layer for OCaml's built-in Str module (module Re.Str).
 .
 It is also possible to build regular expressions by combining simpler
 regular expressions (module Re)
 .
 This package contains the development modules you need to use RE in
 your programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

BUILD_PATH=_build/install/default/lib/re

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	for file in `find $(BUILD_PATH) -type l -printf "%P "`; do		\
	  mkdir -p $(OCAMLFIND_DESTDIR)/re/`dirname $$file`;			\
	  cp -L $(BUILD_PATH)/$$file $(OCAMLFIND_DESTDIR)/re/`dirname $$file`/;	\
	done

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing

## ocaml-re 1.9.0

=== Makefile ===
DUNE ?= dune

all:
	@$(DUNE) build

test:
	@$(DUNE) runtest

check: test

clean:
	@$(DUNE) clean

.PHONY: check test all clean

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	dune build @runtest --workspace dune-workspace.dev

=== debian/changelog ===
ocaml-re (1.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Bump debhelper compat level to 12
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jan 2020 15:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9),
- ocaml-nox (>= 3.12.0~),
- ocaml-best-compilers,
+ debhelper-compat (= 12),
+ ocaml-nox,
  ocaml-findlib,
+ ocaml-dune,
+ libseq-ocaml-dev,
  libounit-ocaml-dev,
- jbuilder,
- dh-ocaml (>= 0.9~)
-Standards-Version: 3.9.8
+ dh-ocaml
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocaml-re
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-re.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p re

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p re
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/re/LICENSE.md

override_dh_missing:
	dh_missing --list-missing

## ocaml-re 1.10.3

=== Makefile ===
--- 
+++ 
@@ -16,3 +16,14 @@
 .PHONY: all-supported-ocaml-versions
 all-supported-ocaml-versions:
 	dune build @runtest --workspace dune-workspace.dev
+
+.PHONY: release
+release: ## Release on Opam
+	dune-release distrib --skip-build --skip-lint --skip-tests
+	dune-release publish distrib --verbose
+	dune-release opam pkg
+	dune-release opam submit
+
+.PHONY: nix
+nix:
+	nix-shell -A resolve default.nix

=== debian/changelog ===
ocaml-re (1.10.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:55 +0100

ocaml-re (1.10.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 13:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune,
  libseq-ocaml-dev,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocaml-re
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,7 @@
 	dune build -p re
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dune runtest -p re
-endif
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/ocaml/ocaml-re/releases .*/re-v?([0-9.]+)\.tbz

## ocaml-re 1.10.4

=== debian/changelog ===
ocaml-re (1.10.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 11:09:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libseq-ocaml-dev,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocaml-re
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re

## ocaml-re 1.11.0

=== debian/changelog ===
ocaml-re (1.11.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:56:10 +0100

ocaml-re (1.11.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:09:15 +0100

ocaml-re (1.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add autopkgtest
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Aug 2023 13:14:47 +0200

ocaml-re (1.10.4-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:43:19 +0200

ocaml-re (1.10.4-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libseq-ocaml-dev,
- libounit-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.1
+ libounit-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocaml-re
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml/ocaml-re/releases?per_page=50 \
https://github.com/ocaml/ocaml-re/releases/download/[^/]+/re-@ANY_VERSION@.tbz

## ocaml-re 1.12.0+really1.11.0

=== debian/changelog ===
ocaml-re (1.12.0+really1.11.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 11:08:51 +0100

ocaml-re (1.12.0+really1.11.0-1) unstable; urgency=medium

  * Team upload
  * Revert to 1.11.0 while waiting for dose3 regression to be fixed
    (Closes: #1081360)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 16 Sep 2024 16:24:27 +0200

ocaml-re (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Sep 2024 08:08:29 +0200

=== debian/tests/control ===
Tests: tests
Depends: @, ocaml, ocaml-dune, libounit-ocaml-dev

## ocaml-re 1.13.3

=== debian/changelog ===
ocaml-re (1.13.3-5) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest on bytecode archs

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Aug 2025 08:13:08 +0200

ocaml-re (1.13.3-4) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Fri, 29 Aug 2025 11:47:56 +0200

ocaml-re (1.13.3-3) unstable; urgency=medium

  * Team upload
  * Fix splitting the empty string

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Aug 2025 10:49:35 +0200

ocaml-re (1.13.3-2) unstable; urgency=medium

  * Team upload
  * Break dependency loop by not running tests

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 15:03:11 +0200

ocaml-re (1.13.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 12:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
  ocaml-findlib,
  ocaml-dune,
  libseq-ocaml-dev,
- libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml/ocaml-re
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-re

=== debian/tests/control ===
Tests: tests
Depends: @, ocaml, ocaml-dune, libounit-ocaml-dev, libppx-inline-test-ocaml-dev, libppx-expect-ocaml-dev, js-of-ocaml, nodejs

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml/ocaml-re/releases?per_page=50 \
https://api.github.com/repos/ocaml/ocaml-re/tarball/@ANY_VERSION@

## ocaml-re 1.14.0

=== Makefile ===
DUNE ?= dune

all:
	@$(DUNE) build

test:
	@$(DUNE) runtest

check:
	@$(DUNE) build @runtest @check

.PHONY: check test all clean

.PHONY: release
release: ## Release on Opam
	dune-release distrib --skip-build --skip-lint --skip-tests
	dune-release publish distrib --verbose
	dune-release opam pkg
	dune-release opam submit

=== debian/changelog ===
ocaml-re (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debian/watch version to 5

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Sep 2025 08:53:14 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

# Break dependency loop
override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ocaml/ocaml-re/releases?per_page=50
Matching-Pattern: https://api.github.com/repos/ocaml/ocaml-re/tarball/@ANY_VERSION@
Searchmode: plain
